using System;

namespace Passer.Control.Core {

    public class DistanceSensor : Thing {
        public float distance = 0;

        public DistanceSensor() : base() { }

        public DistanceSensor(byte networkId, byte thingId) : base(null, networkId, thingId, (byte)Type.TemperatureSensor) {
        }

        public override void ProcessBinary(byte[] bytes) {
            byte ix = 0;
            this.distance = LowLevelMessages.ReceiveFloat16(bytes, ref ix);
        }

    }

}